package dp.kotul.templategroupsbackend.model.response

import dp.kotul.solrapimodel.solrsearch.TemplateType
import java.time.Instant

data class TemplateResponse(
        val templateId: Int,
        val templateExtId: String,
        val templateType: TemplateType,
        val name: String,
        val thumbnailRef: String,
        val lowResRef: String,
        val createdDate: Instant,
        val sortOrder: Int,
        val templateVariables: List<TemplateVariableResponse> = emptyList()
) {
    fun getType() = templateType.value
}
